'use strict';
module.exports = {
  columnType: [
    {
      label: '字符串',
      value: 'String',
      default: true,
    },
    {
      label: '布尔值',
      value: 'Boolean',
    },
    {
      label: '数字',
      value: 'Number',
    },
    {
      label: '金额',
      value: 'Money',
      plugins: true,
      path: 'naf-framework-mongoose-free/lib/model/type-money-plugin',
    },
    {
      label: '对象',
      value: 'Object',
    },
    {
      label: '集合',
      value: 'Array',
    },
    {
      label: 'ObjectId',
      value: 'ObjectId',
    },
    {
      label: 'Secret',
      value: 'Secret',
    },
  ],
  required: [
    {
      label: '必填',
      value: true,
    },
    {
      label: '非必填',
      value: false,
    },
  ],
};
