'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller, config } = app;
  const prefix = config.routePrefix;
  router.get(`${prefix}`, controller.home.index);
  router.post(`${prefix}/options`, controller.options.index);
  require('./z_router/project')(app); // 项目
  require('./z_router/table')(app); // 表
};
