'use strict';

module.exports = app => {
  const { router, controller, config } = app;
  const target = 'project';
  const prefix = config.routePrefix;
  router.resources(target, `${prefix}/${target}`, controller[target]); // index、create、show、destroy
  router.post(target, `${prefix}/${target}/:id`, controller[target].update);
};
